#!/usr/bin/perl

use strict;
use warnings;

my @menu = "";
my @words = "";
my $logfile = "/tmp/Network_Test-Day_21.log";
my @found = "";
my @results = "";
my $search = "up";
my $count = 60;
my $size = "";

#
# Save output to a file for printing.
#
#


	read_file();
	setup();
	plot();
	paint();
sleep 5;

sub plot 
{
	my $loop = 1;
	my $offset = 1;
	my $cols = 70; 

	while ($loop <= $cols ) {
		$offset = int($results[$loop]);
		if ($offset <= 1) { $offset = 1; }
		$offset = int(($offset / 10) +1);	
		if ($offset >= 22 ) { $offset = 22; }
		@words = split(//, $menu[$offset]);
		$words[$loop + 7] = "+";
		$menu[$offset] = join('', @words);
	$loop++;
	}	
}

sub read_file
{
	my $time = "";
	open(FILE, '<' , $logfile);
	while(<FILE>) {
		if(/($search)/) {
			@found = split(/:/);
			$time = $found[3];
			$time =~ s/(^\s)//;
			$time =~ s/(msec)//;
			$time = int($time);
			push (@results ,$time);
		}
	}
	close(FILE);
	$size = @results;
}

sub paint
{
	my $rows = 24;
	system("clear");
	while ($rows >= 0 ) {
		print ($menu[$rows]);
		$rows--;
	}
}

sub setup
{

 $menu[24] = "            Ping Results found = $size   Displaying 1 - 70  for Calibration     \n";
 $menu[23] = "        _______________________________________________________________________ \n";
 $menu[22] = " 210ms |                                                                       |\n";
 $menu[21] = " 200ms |                                                                       |\n";
 $menu[20] = " 190ms |                                                                       |\n";
 $menu[19] = " 180ms |                                                                       |\n";
 $menu[18] = " 170ms |                                                                       |\n";
 $menu[17] = " 160ms |                                                                       |\n";
 $menu[16] = " 150ms |                                                                       |\n";
 $menu[15] = " 140ms |                                                                       |\n";
 $menu[14] = " 130ms |                                                                       |\n";
 $menu[13] = " 120ms |                                                                       |\n";
 $menu[12] = " 110ms |                                                                       |\n";
 $menu[11] = " 100ms |                                                                       |\n";
 $menu[10] = "  90ms |                                                                       |\n";
 $menu[9]  = "  80ms |                                                                       |\n";
 $menu[8]  = "  70ms |                                                                       |\n";
 $menu[7]  = "  60ms |                                                                       |\n";
 $menu[6]  = "  50ms |                                                                       |\n";
 $menu[5]  = "  40ms |                                                                       |\n";
 $menu[4]  = "  30ms |                                                                       |\n";
 $menu[3]  = "  20ms |                                                                       |\n";
 $menu[2]  = "  10ms |                                                                       |\n";
 $menu[1]  = "   1ms |______________________________________________________________________ |\n";

}




