#!/usr/bin/perl

# For Testing use an argument
#$host = $ARGV[0];

# Define our Hosts
push (@host_array,"yahoo.com");
push (@host_array,"google.com");
push (@host_array,"192.168.1.1");
push (@host_array,"192.168.1.21");
push (@host_array,"192.168.1.51");

# Loop through our hosts and ping
foreach $h(@host_array) {
        $ping = `/bin/ping -c 2 -n -q $h`;

        my ($loss) = ($ping =~ /(\d+)%/g);
        my ($one,$rtt) = ($ping =~ /(\d+\.\d+)\//g);

        if ($rtt eq "") {
                $rtt = 0;
                $loss = 100;
        }

        # Display ping loss
        if ($loss > 0) {
                print "\033[33;1mIP: $h Ping-Loss: $loss%\033[0m\n";
        }
       else {
               print "IP: $h loss:$loss\n";
       }
}
