#!/usr/bin/perl

use strict;
use warnings;

my $packet = "";
my $client = "";
my $host = "";
my $port = 80;


# Tcpdump notes:
# -l = line buffer = faster output. -t = Don't print a timestamp on each dump line.
# -n = Don't convert addresses to names.
# -q = Print less protocol information so output lines are shorter.
# -XX = print the data of each packet, including its link level header, in hex and ASCII.

open(PIPE,"/usr/sbin/tcpdump -ltnqAs 1024  dst port $port |");
	while(<PIPE>) {
	$packet = $_;
	if ($packet =~ "GET") {
		print $packet;
	}
	}
	close(PIPE);





