#!/usr/bin/perl
use warnings;
use strict;

use Net::Ping;
use Time::HiRes qw(tv_interval gettimeofday);

my($host) = "192.168.2.1";

my($ping) = Net::Ping->new('icmp');

#while (1) {
    my($timeStart) = [gettimeofday()];
    if ($ping->ping($host, 2)) {
        my($timeElapsed) = tv_interval($timeStart, [gettimeofday()]);
        printf("%s: %.3f msec\n", $host, $timeElapsed * 1000);
    } else {
        my($timeElapsed) = tv_interval($timeStart, [gettimeofday()]);
        printf("%s failed: %.3f\n", $host, $timeElapsed * 1000);
    }
#    sleep(1);
#}

$ping->close();

exit();
